package com.steerinfo.meterwork.meterworkdatacount.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.meterwork.meterworkdatacount.model.*;

import java.text.ParseException;
import java.util.HashMap;
import java.util.List;

public interface IMeterWorkDataCountService{
    List<HashMap> countFirstAndActual(HashMap<String, Object> params);
    HashMap productionAndOperationDaily(HashMap<String, Object> params) throws ParseException;
    RESTfulResult carRegularComparison(HashMap<String, Object> params);
    List<HashMap> countDayAllSpot(HashMap<String, Object> params);
    PageList<TruckHisTareComparison> truckHisTareComparison(HashMap<String, Object> params);
    List<String> measurementAccuracyAnalysisFunction(HashMap<String, Object> params);
    PageList<MeasurementAccuracyAnalysis> measurementAccuracyAnalysis(HashMap<String, Object> params);
    PageList<HookTareWeightAndTheoryAmount> hookTareWeightAndTheoryAmount(HashMap<String, Object> params);
    PageList<TwoMillionTareWeightComparison> twoMillionTareWeightComparison(HashMap<String, Object> params);
    PageList<StaticRailwayRemoteComparison> staticRailwayRemoteComparison(HashMap<String, Object> params);
    List<HashMap> rfidIdentifyAnalysisSummary(HashMap<String, Object> params);
    PageList<RfidIdentifyAnalysis> rfidIdentifyAnalysisDetail(HashMap<String, Object> params);
    List<HashMap> pikaCarNumAnalysisSummary(HashMap<String, Object> params);
    //汽车衡结净数据皮重核查明细
    PageList<CarActualTareWeightComparison> carActualTareWeightComparison(HashMap<String, Object> params);
    PageList<CarActualTareWeightComparison> carActualTareWeightComparisonDetail(HashMap<String, Object> params);
    PageList<CarActualTareWeightComparison> carActualNetWeightComparisonDetail(HashMap<String, Object> params);
    //轨道衡同车型同物料毛重核查明细
    PageList<RailwayActualGrossWeightComparison> railwayActualGrossWeightComparison(HashMap<String, Object> params);
    PageList<RailwayActualGrossWeightComparison> railwayActualGrossWeightComparisonDetail(HashMap<String, Object> params);
    PageList<NetWeightAndTheoryAmount> railwayNetWeightAndTheoryAmount(HashMap<String, Object> params);
    PageList<LongCarMeterWeightComparison> longCarMeterWeightComparison(HashMap<String, Object> params);
    PageList<ScaleOrCarComparison> scaleOrCarComparison(HashMap<String, Object> params);

    List<String> measurementAccuracyOperationPage(HashMap params);

    List<String> measurementAccuracyCreateManName(HashMap params);

    PageList<RailwayActualGrossWeightComparison> railwayActualNetWeightComparisonDetail(HashMap parmas);

    PageList<StaticRailwayRemoteComparison> dynamicRailwayRemoteComparison(HashMap parmas);
}
